Loading...
Searching...
No Matches
BfsDefaultTraits< GR > Struct Template Reference

## Detailed Description

template<class GR>
struct lemon::BfsDefaultTraits< GR >

Default traits class of Bfs class.

Template Parameters

  GR | Digraph type.

`#include <lemon/bfs.h>`

## Public Types

typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef Digraph::template NodeMap< typename Digraph::Arc > | PredMap
| The type of the map that stores the predecessor arcs of the shortest paths.
typedef NullMap< typename Digraph::Node, bool > | ProcessedMap
| The type of the map that indicates which nodes are processed.
typedef Digraph::template NodeMap< bool > | ReachedMap
| The type of the map that indicates which nodes are reached.
typedef Digraph::template NodeMap< int > | DistMap
| The type of the map that stores the distances of the nodes.

## Static Public Member Functions

static PredMap * | createPredMap (const Digraph &g)
| Instantiates a `PredMap`.
static ProcessedMap * | createProcessedMap (const Digraph &g)
| Instantiates a `ProcessedMap`.
static ReachedMap * | createReachedMap (const Digraph &g)
| Instantiates a `ReachedMap`.
static DistMap * | createDistMap (const Digraph &g)
| Instantiates a `DistMap`.

## Member Typedef Documentation

## PredMap

template<class GR>

typedef Digraph::template NodeMap<typename Digraph::Arc> PredMap

The type of the map that stores the predecessor arcs of the shortest paths. It must conform to the WriteMap concept.

## ProcessedMap

template<class GR>

typedef NullMap<typename Digraph::Node,bool> ProcessedMap

The type of the map that indicates which nodes are processed. It must conform to the WriteMap concept. By default, it is a NullMap.

## ReachedMap

template<class GR>

typedef Digraph::template NodeMap<bool> ReachedMap

The type of the map that indicates which nodes are reached. It must conform to the ReadWriteMap concept.

## DistMap

template<class GR>

typedef Digraph::template NodeMap<int> DistMap

The type of the map that stores the distances of the nodes. It must conform to the WriteMap concept.

## Member Function Documentation

## createPredMap()

template<class GR>

PredMap * createPredMap | ( | const Digraph & | g | ) |

inline static

This function instantiates a PredMap.

Parameters

  g | is the digraph, to which we would like to define the PredMap.

## createProcessedMap()

template<class GR>

ProcessedMap * createProcessedMap | ( | const Digraph & | g | ) |

inline static

This function instantiates a ProcessedMap.

Parameters

  g | is the digraph, to which we would like to define the ProcessedMap

## createReachedMap()

template<class GR>

ReachedMap * createReachedMap | ( | const Digraph & | g | ) |

inline static

This function instantiates a ReachedMap.

Parameters

  g | is the digraph, to which we would like to define the ReachedMap.

## createDistMap()

template<class GR>

DistMap * createDistMap | ( | const Digraph & | g | ) |

inline static

This function instantiates a DistMap.

Parameters

  g | is the digraph, to which we would like to define the DistMap.